All pages
Powered by GitBook
Couldn't generate the PDF for 802 pages, generation stopped at 100.
Extend with 50 more pages.
1 of 100

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Create seller

Enable account

Module

The Module object represents a module in the Marketplace platform.

This object contains the following attributes:

Field
Type
Description

id

string, core

(Read-only) Primary identifier for the module.

name

string, core

(Read-only) Name of the module.

description

string, core

(Read-only) A description of the module.

accountTypes

string

(Read-only) Indicates the module availability for the account type.

isEnabledByDefault

boolean

(Read-only) Indicates whether the module is enabled by default.

isConfigurable

boolean

(Read-only) Indicates whether module access can be changed.

paid

boolean, core

(Read-only) Indicates whether the module is fee-based.

settings

object, core

(Read-only) Defines the module setting.

  • sharedAccount – Defines whether there are multiple accounts with the same external ID.

  • configurable – Defines whether the module access can be changed.

  • default – Defines whether the module is enabled by default.

  • paid – Defines whether the module is fee-based.

filters

object, core

(Read-only) Defines the custom filters configuration.

Example

MODULE OBJECT
{
  "id": "MOD-1234",
  "name": "Invoices",
  "description": "Invoices module",
  "accountTypes": ["vendor", "client", "operations"],
  "isEnabledByDefault": true,
  "isConfigurable": false,
  "paid": true,
  "settings": {
    "sharedAccount": true,
    "configurable": true,
    "default": true,
    "paid": false
  },
  "filters": {
    "group.buyers": [
      "selected",
      "all"
    ]
  }
}

List modules

Gets a list of modules within the platform.

State diagram

The following diagram shows the state (status) transition process of a group containing users.

The state transition diagram of a user group.
State
Definition

New

This is the initial status of a group. This status is assigned by the platform when the group is created.

Active

The group has been created successfully and is now active.

Deleted

The group has been deleted by the account administrator.

Get API token

Gets a single API token using the token ID.

Get buyer transfer details

Gets information. This can include an optional query string parameter destinationAccountId for the preliminary validation of the transfer operation.

Buyer Transfer

List user groups

Gets the user groups collection.

List buyers

Get the Buyers collection.

Synchronize buyer

Synchronizes the buyer with the ERP system.

Deactivate buyer

Deactivates a specific buyer.

List users

Validate account

Transfer buyer

Transfers a Buyer object with all its dependencies between Accounts sharing the same External ID.

Enable API token

Enable a specific API token.

Disable API token

Disable a specific API token.

Delete seller

Deletes the seller object. When deleted, the status changes from Active to Deleted.

State diagram

The following diagram shows the status transition process of an API token on the platform.

The state transition diagram of an API token.
State
Definition

Active

The token has been authenticated in the account. It will allow access to the endpoint.

Disabled

The token has been temporarily deactivated. Any attempts to access the endpoint will return an error.

Deleted

The token has been permanently removed from the system. This state is not visible to the client or vendor account users.

Update user group

Updates a user group.

Get buyer icon

Create licensee

Creates a new licensee object.

Disable buyer

Disables the Buyer object. Disabled buyers cannot be used in transactions.

Activate account

Disable account

List licensees

List Licensee items in the Licensees collection.

Delete buyer

Deletes a specific buyer.

Delete API token

Delete a token by its token ID.

Block user

Delete cloud tenant

List API tokens

Gets the API tokens collection.

Set user password

Update buyer

Update the Buyer object. You can only update the Logo and Contact fields.

Send new invitation

Sends a new invitation if the original invite has expired.

Update cloud tenant

State diagram

The following diagram shows the state (status) transition process of a licensee in the platform.

The state transition diagram of a licensee.
State
Definition

Active

The licensee is active and can be used when ordering products through the Marketplace.

Enabled

Accept user invitation

Accepts the user invitation to the account.

Create account

Get buyer

Get a single Buyer object by ID.

State diagram

The following diagram shows the state (status) transition process of a user within an account in the Marketplace Platform. It shows the possible statuses a user can have.

State
Definition

Block ERP link

Get account icon

Delete licensee

Deletes the licensee object.

Get seller icon

Retrieves the icon for the seller.

The licensee has been set up in the system, but can't be used for transactions.

Disabled

The licensee has been disabled and can no longer be used.

Deleted

The licensee has been deleted.

The user's invitation has expired because they didn't accept it within 7 days from the send date.

Active

The user has accepted the invitation. They can access the account and perform actions based on their permissions.

Blocked

The user's access has been restricted. This could be due to terms and conditions violations, security concerns, or at the administrator's discretion.

Disabled

The user has been removed from the account and can no longer perform any actions.

Deleted

The user no longer exists in the system.

Invited

The user has been invited to join the account but has not accepted the invite yet. This status remains in place until the invitation is accepted.

The state transition diagram of a user.

Invitation expired

REST API

The Marketplace Platform REST API allows you to interact with the platform programmatically.

The APIs are organized around REST principles, use predictable resource-oriented URLs, JSON-encoded representations, and standard HTTP methods and status codes.

Each API works similarly, whether you access it directly over HTTP or through helper libraries in various programming languages.

Common use cases

Use Marketplace APIs to:

  • Manage accounts, users, and groups.

  • Automate order processing and fulfillment workflows.

  • Manage orders, subscriptions, and assets.

  • Retrieve billing and financial data.

  • Synchronize Marketplace data with external business systems.

  • Integrate and manage notification workflows.

Follow to generate an API token, authenticate requests, and make your first API call.

Marketplace Platform uses for authentication.

Include your API token in the Authorization HTTP header with the Bearer scheme.

Your API keys have permissions assigned to them, so keep them secure. Don't share your secret API keys in public areas, like GitHub or client-side code.

All API requests must be made over HTTPS.

Requests sent over HTTP are not supported. API requests without authentication will fail.

Most Marketplace API endpoints expect requests to use the application/json content type. Endpoints that support file uploads may require multipart/form-data instead.

To communicate successfully with the APIs, ensure your API requests are formatted using the application/json content type.

Using the wrong content type may result in unexpected behavior or errors.

API
Description

Disable licensee

Disables the licensee object.

List accounts

Update ERP link

State diagram

The following figure shows the state (status) transition process of a buyer in the platform.

The state transition diagram of a buyer.
State
Definition

Enabled

The buyer has been created in the system, but SoftwareOne hasn't activated it yet.

Active

Get cloud tenant

List cloud tenants

Unblock ERP link

Unblock user

Create account user

The buyer is active and can be selected from the list of buyers when ordering products.

Disabled

The buyer has been disabled and can no longer be selected when buying products.

Mismatch

The buyer’s data is not in sync with the data in our backend system. This discrepancy can occur due to various reasons. Contact support for assistance.

Manage catalog, products, items, & more.

Manage orders, subscriptions, assets, & more.

Work with currencies, pairs, and exchange rates.

Manage extensions, installations, media, & more.

Manage cases, chats, feedback, & more.

Manage notifications, subscribers, & more.

Browse software products, manage profile, categories, & more.

Manage programs, enrollments, and certificates.

Work with spotlight objects and queries.

Create tasks and retrieve task logs and results.

GET https://api.platform.softwareone.com/public/v1/accounts/buyers
Authorization: Bearer {TOKEN_VALUE}
Content-Type: application/json

Accounts API

Manage accounts, users, groups, & more.

Audit API

Track and retrieve audit activity.

Billing API

Getting started

Authentication

HTTPS requirements

Content-type requirements

Browse APIs

API Quickstart
API tokens

Work with invoices, statements, charges, & more.

API Token

The API Token object represents a user authentication token within the platform.

This object contains the following attributes:

Field
Type
Description

id

string, core

Enable buyer

Enables a buyer that was previously disabled. When enabled, the buyer's status changes to Active if the buyer has ExternalId assigned or enabled.

Enable licensee

Enables the licensee that was previously disabled.

Activate seller

Activates a previously deactivated or disabled seller.

When activated, the status changes from Offline or Disabled to Active.

Get account user

Get a single account user by ID.

Catalog API
Commerce API
Currency API
Extensions API
Helpdesk API
Notifications API
Product Catalog API
Program API
Spotlight API
Task API

(Read-only) The primary identifier for the token.

name

string, core

The name of the token.

description

string

(Optional) A description of the token.

icon

string, core

(Optional) The relative path to the API token icon.

status

string

(Read-only) The token's status. Allowed values are:

  • Active

  • Disabled

  • Deleted

modules

module

Module validation when creating API token.

account

object

Represents the account object under which the token has been defined.

Example:

token

string

(Read-only) The token's authentication code.

audit

object

(Read-only) Represents the audit object.

Example

{
  "id": "ACC-123-123",
  "name": "Microsoft"
}
API TOKEN OBJECT
{
    "id": "TKN-4134-7330",
    "name": "access token",
    "description": "Token for Marketplace",
    "icon": "",
    "status": "Active",
    "modules": [
        {
            "id": "MOD-1756-1452"
        },
        {
            "id": "MOD-9042-8216"
        }
    ],
    "token": "CODE"
}

Licensee

The Licensee object represents a licensee in the Marketplace platform.

This object contains the following attributes:

Field
Type
Description

id

string, core

Delete account user

Deletes a user from the account. The user remains active in other accounts.

Update seller

Updates the seller object, except for the seller's status. To manage the status, use the disable, activate, deactivate, and delete endpoints.

Account

The Account object represents an individual account in the SoftwareOne Marketplace.

This object contains the following attributes:

Field
Type
Description

Cloud Tenant

Cloud Tenant represents a cloud tenant object in the Marketplace Platform.

This object contains the following attributes:

Field
Type
Description

(Read-only) The primary identifier for the licensee.

status

string

The status of the licensee. Allowed values are:

  • Enabled

  • Active

  • Disabled

  • Deleted

name

string, core

The licensee's name.

icon

string

(Optional) A relative path to the licensee’s logo.

externalId

string, core

(Optional) The external identifier.

useBuyerAddress

boolean

(Optional) Defines whether the address should be copied from the buyer.

address

object

(Optional) The address of the licensee.

Example:

description

string

(Optional) A description of the licensee.

contact

object

The details of the contact person.

Example:

buyer

object

Represents the buyer object.

seller

object

Represents the seller object.

account

object

Represents the account object.

audit

object

(Read-only) Represents the audit object.

Examples

LICENSEE OBJECT
{
  "name": "Stark Industries Finance Dept",
  "externalId": "WW-CON-12345678",
  "status": "Active",
  "address": null,
  "useBuyerAddress": true,
  "icon": null,
  "description": null
}
LICENSEE OBJECT
{
	"id": "LCE-8893-6916-0000",
	"contact": null,
	"name": "Stark Industries",
	"externalId": null,
	"status": "Active",
	"address": null,
	"useBuyerAddress": false,
	"icon": null,
	"description": null,
	"account": {
		"id": "ACC-5563-4382",
		"type": "Client",
		"status": "Active",
		"icon": null,
		"name": "AdAstraflexx"
	},
	"buyer": {
		"id": "BUY-8928-0965",
		"name": "Stark Industries"
	},
	"seller": {
		"id": "SEL-4717-3953",
		"externalId": "SWO_CA",
		"name": "SoftwareOne Canada, Inc."
	}
}
{
  "addressLine1": "123 Main Street",
  "addressLine2": "Apt 4B",
  "postCode": "12345",
  "city": "Cityville",
  "state": "S",
  "country": "ST"
}
{
  "name": "Reto Mayer",
  "firstName": "Reto",
  "lastName": "Mayer",
  "email": "reto.mayer@example.com",
  "phone": null,
  "user": {
    "id": "USR-0000-0001",
    "icon": null,
    "name": "Reto Mayer"
  },
  "address": {
    "addressLine1": "23 Main",
    "addressLine2": "Apt 4B",
    "postCode": "12345",
    "city": "Cityville",
    "state": "S",
    "country": "ST"
  }
}

(Read-only) Unique identifier for the account.

type

string, core

The type of account. Allowed values are:

  • Client

  • Vendor

  • Operations

status

string, core

(Read-only) The status of the account. Allowed values are:

  • Enabled

  • Active

  • Disabled

name

string

The name of the account.

description

string

(Optional) A description of the account.

externalId

string

(Optional) The Customer Discount Group number.

externalName

string

The Customer Discount Group name.

serviceLevel

string

Service level for the account. Allowed values are:

  • Essential

  • Elite

  • DSC

address

object

The of the company.

icon

string, core

The relative path to the account's logo.

website

string

The path to the company’s website.

technicalSupportEmail

string

The email address for technical support.

audit

object

Represents the object.

groups

object

Represents the object.

buyers

object

Represents the object.

externalIDs

object

Represents the externalId for the account.

defaultLanguageCode

string

The default language code of the account.

ACCOUNT OBJECT
{
  "id": "ACC-1671-0642",
  "type": "Client",
  "status": "Enabled",
  "name": "Stark industries",
  "description": "Stark industries procurement team.",
  "externalId": "WW-1001111",
  "serviceLevel": "Express",
  "address": {
    "addressLine1": "123 Main Street",
    "addressLine2": "Apt 4B",
    "postCode": "12345",
    "city": "Cityville",
    "state": "S",
    "country": "ST"
  },
  "logo": null,
  "technicalSupportEmail": "jane@doe.com",
  "website": "https://example.com"  
}
ACCOUNT OBJECT
{
  "id": "ACC-1671-0642",
  "type": "Client",
  "status": "Enabled",
  "name": "Stark industries",
  "description": "Stark industries procurement team.",
  "externalId": "WW-1001111",
  "serviceLevel": "Express",
  "address": {
    "addressLine1": "123 Main Street",
    "addressLine2": "Apt 4B",
    "postCode": "12345",
    "city": "Cityville",
    "state": "S",
    "country": "ST"
  },
  "logo": null,
  "technicalSupportEmail": "jane@doe.com",
  "website": "https://janedoeexample.com",
  "groups": [
		{
			"id": "UGR-9354-3382",
			"name": "Administrators",
			"description": "Manages administrative tasks and resources within an organization.",
			"logo": null,
			"isDefault": true
		}
  ],
  {
    "created": { "at": "2023-12-14T17:28:57.667Z", "by": { "id": "USR-1234-1234", "name": "John Smith" } },
    "updated": { "at": "2023-12-14T17:28:57.667Z", "by": { "id": "USR-1234-1234", "name": "John Smith" } },
    "disabled": { "at": "2023-12-14T17:28:57.667Z", "by": { "id": "USR-1234-1234", "name": "John Smith" } },
    "enabled": { "at": "2023-12-14T17:28:57.667Z", "by": { "id": "USR-1234-1234", "name": "John Smith" } },
    "activated": { "at": "2023-12-14T17:28:57.667Z", "by": { "id": "USR-1234-1234", "name": "John Smith" } }
  }
}

id

string, core

Examples

name

string, core

The name of the cloud tenant.

status

string

The status of the cloud tenant. Allowed values are:

  • Active

  • Disabled

  • Deleted

account

object

The to which the cloud tenant is assigned.

type

string

(Read-only) The type of cloud tenant.

externalId

object

(Read-only) Represents the object.

audit

object

(Read-only) Represents the object.

Field
Type
Description

pyraTenantId

string

(Read-only) The PYC tenant ID.

cloudConsumptionId

string

id

string, core

(Read-only) The primary identifier for the cloud tenant.

CLOUD TENANT OBJECT
{
    "id": "CLT-3206-7146",   
    "account": {
        "id": "ACC-2253-2884",      
        "type": "Client",
        "status": "Active",
        "name": "AdAstrafleX"
    },
    "externalIds": {
        "cloudConsumptionId": "012b2a18-1df0-473f-8759-c3c019b54486",
        "providerId": "7270638c-ca21-4500-ac82-25dca634566a",
        "pyraTenantId": "c6469e97-302a-408a-8589-2122a0bb725d"
    },
    "name": "AdAstraflex Germany",
    "status": "Active",
    "type": "CspAzure",
    "audit": {
        "created": {
            "at": "2024-12-12T11:17:44.042Z",
            "by": {
                "id": "TKN-9299-7556",              
                "name": "Migration token"
            }
        }
    }
}

Cloud Tenant External IDs object

Example

Create cloud tenant

Get user group

Gets a single user group by ID.

Get licensee icon

Get the icon for a specific licensee.

address
audit
userGroup
buyer

(Read-only) The unique identifier of this cloud tenant in PYC.

providerId

string

(Read-only) The object identifier within the cloud provider, like AWS, Azure, and more.

account
CloudTenantExternalIDs
audit

Remove user

Removes a user from a specific group.

Update user group assignment

Resend user invitation

Resends the invitation to the user.

Get seller

Gets a single Seller object by ID.

User Group

The User Group object represents a group containing users.

This object contains the following attributes:

Field
Type
Description

id

string, core

Get SSO configuration

List sellers

Gets the Sellers collection.

List ERP links

Get user

(Read-only) Primary identifier for the group.

icon

string

(Optional) The relative path to the group's icon image or logo.

name

string, core

The name of the group.

description

string

(Optional) A description of the group.

modules

object

(Optional) Represents the object, which contains modules that the group members can access.

default

bool

Indicates if the group has been set as a default group within the account. An account can contain only one default group.

users

object

(Read-only)Represents the object containing users assigned to the group. A group can be deleted only if no user is assigned.

USER GROUP OBJECT
{
	"id": "UGR-5116-6265",
	"name": "Jane Doe",
	"description": "This group contains all Accounts team members",
	"modules": [
		{
			"id": "MOD-1756-1452",
			"name": "Access management"
		},
		{
			"id": "MOD-9042-8216",
			"name": "Account management"
		}
	],
	"icon": "https://picsum.photos/210/201",
	"default": true,
    "users": [
        {
            "id": "USR-0000-0016",          
            "icon": null,
            "name": "Reto Mayer"
        }
    ]
}

Example

Disable seller

Disables or deactivates the seller object. When the seller has been disabled, the status changes from Active to Disabled. Note that disabled sellers can't be used in transactions.

modules
user

Create user group

Creates a user group for the client account.

ERP link

The ERP Link represents a connection between a Buyer and a Seller object in the Marketplace.

This object contains the following attributes:

Field
Type
Description

id

string, core

(Read-only) The primary identifier for the ERP link.

status

enum, core

(Read-only) The object's status. Allowed values are Active or Blocked.

note

string

(Optional)

name

string, core

(Read-only) The names of the buyer and seller.

externalIds

object

A reference to the buyerExternalIdsObject.

Example:

address

object

The of the buyer in the given seller instance.

companyName

string, core

(Read-only) The name of the buyer in the given seller instance.

buyer

object

(Read-only) Represents the object.

seller

object

(Read-only) Represents the object.

audit

object

(Read-only) Represents the object.

ERP LINK OBJECT
{
	"id": "ERP-0808-7934-2576",
	"buyer": {
		"id": "BUY-0808-7934",		
		"name": "AGCO Corporation"
	},
	"seller": {
		"id": "SEL-1968-2576",		
		"externalId": "AR",
		"name": "SoftwareONE Argentina",
		"icon": "/v1/accounts/sellers/SEL-1968-2576/icon"
	},
	"name": "AGCO Corporation - SoftwareONE Argentina",
	"status": "Active",
	"externalIds": {
		"erpCompanyContact": "US-CON-183485",
		"erpCustomer": "US-SCU-117126",
		"accountExternalId": "WW-100502"
	},
	"address": {
		"addressLine1": "4205 River Green Pkwy",
		"postCode": "30096",
		"city": "DULUTH",
		"state": "GA",
		"country": "US"
	},
    "companyName": "AGCO Corporation",
	"audit": {
		"created": {
			"at": "2025-01-21T12:27:31.716Z",
			"by": {
				"id": "TKN-4113-7170",			
				"name": "Nav Extension"
			}
		},
		"updated": {
			"at": "2025-03-10T12:45:04.479Z",
			"by": {
				"id": "TKN-8915-3154",				
				"name": "Test Token"
			}
		}
	}
}

Example

address
buyer
seller
audit
{
	"erpCompanyContact": "WW-CON-123456",
	"erpCustomer": "WW-SCU-123456",
	"erpCustomerDiscountGroup": "WW-12345"
}

User

The User object represents a single user on the Marketplace platform.

This object contains the following attributes:

Field
Type
Description

id

string, core

(Read-only) Primary identifier for the user.

email

string

The email address of the user.

status

string

(Read-only) The user's status. Allowed values are:

  • New

  • Invited

  • Invitation expired

  • Active

  • Blocked

  • Disabled

  • Deleted.

The Invited or InvitationExpired statuses apply only if the user has not yet joined the account.

name

string, core

The user's full name.

firstName

string

The user's first name.

lastName

string

The user's last name.

phone

object

The country code and phone number.

accounts

object

List of accounts that the user is added to; not returned in the user’s account sub‑collection.

currentAccount

object

The account currently selected by the user.

groups

object

(Read-only) Represents the group object containing all groups that the user belongs to.

Example:

buyers

object

(Read-only) List of all buyers the user can access through their groups. Not defined when the ‘All’ option is selected.

modules

object

(Read-only) List of all modules the user can access through their groups.

settings

object

(Optional) Indicates the user’s preferences, including language and regional settings (legacy).

invitation

object

(Optional) Represents the invitation object. This is included only in the context of an account (within the account sub‑collection) and only when the user has been invited.

invitation.code

string

(Read-only) (Optional) The invitation code sent to user when they are invited to the platform.

invitation.status

string

(Read-only) (Optional) Indicates the user's account invitation status.

audit

object

(Read-only) Represents the audit object.

Examples

[
  {
    "id": "UGR-5116-6265",
    "name": "Administrators"
  },
  {
    "id": "UGR-5116-6565",
    "name": "Fulfillment Managers"
  }
]
USER OBJECT
{
    "id": "USR-3773-5838",    
    "email": "test@testignite.de",
    "status": "Active",
    "firstName": "d",
    "lastName": "d",
    "settings": {
        "cultureCode": "en-US",
        "languageCode": "en-US"
    },
    "name": "d d",
    "account": {
        "id": "ACC-0774-6909",    
        "type": "Client",
        "status": "Active",
        "name": "Ignite Test CDG"
    },    
    "groups": [
        {
            "id": "UGR-5240-4954",          
            "name": "Only Marketplace and Buyer BUY-1089-7077",
            "description": "",
            "account": {
                "id": "ACC-0774-6909",               
                "type": "Client",
                "status": "Active",
                "name": "Ignite Test CDG"
            },
            "logo": "",
            "isDefault": false
        }
    ],
    "buyers": [
        {
            "id": "BUY-1089-7077",           
            "status": "Enabled",
            "address": {
                "addressLine1": "adress1",
                "addressLine2": "adress2",
                "postCode": "88131",
                "city": "city",
                "state": "bavaria",
                "country": "DE"
            },
            "account": {
                "id": "ACC-0774-6909",               
                "type": "Client",
                "status": "Active",
                "name": "Ignite Test CDG"
            },
            "name": "testBuyer"
        }
    ],
    "modules": [
        {
            "id": "MOD-0478",          
            "description": "Buy and manage subscription based licenses.",
            "isConfigurable": true,
            "isEnabledByDefault": true,
            "paid": false,
            "name": "Marketplace",
            "filters": {
                "group.buyers": [
                    "selected",
                    "all"
                ]
            },
            "settings": {
                "sharedAccount": true,
                "configurable": true,
                "default": true,
                "paid": false
            }
        }
    ],
    "invitation": {
        "url": "https://portal.s1.show/accept-invite?code=eyJjb2RlIjoiUzM0dVpsVWNjL0JSRTdpVXFSdFBpN2J4Z3BaY3VXNTFoM2d4WlN6T0xwdz0iLCJhY2NvdW50VXNlcklkIjoiQVVTUi0xMDQwLTg2MzYtNzI2NyJ9",
        "status": "Active"
    },
    "audit": {
        "login": {
            "at": "2024-05-09T14:40:28.886Z"
        },    
        "access": {
            "at": "2024-09-20T14:01:45.603Z"
        },
        "joined": {
            "at": "2024-05-09T14:40:28.886Z"
        },
        "created": {
            "at": "2024-05-09T14:40:28.958Z",
            "by": {
                "id": "TKN-7670-9957",
                "href": "/accounts/api-tokens/TKN-7670-9957",
                "name": "[DO NOT REMOVE] PyraProxy"
            }
        },
        "updated": {
            "at": "2024-09-16T12:33:03.761Z",
            "by": {
                "href": "//"
            }
        }
    }
}
USER OBJECT
{
    "id": "USR-3773-5838",    
    "email": "test@testignite.de",
    "status": "Active",
    "firstName": "d",
    "lastName": "d",
    "settings": {
        "cultureCode": "en-US",
        "languageCode": "en-US"
    },
    "name": "d d",
    "accounts": [
      {
          "id": "ACC-0774-6909",         
          "type": "Client",
          "status": "Active",
          "name": "Ignite Test CDG"
      }
    ],
    "currentAccount": {
        "id": "ACC-0774-6909",     
        "type": "Client",
        "status": "Active",
        "name": "Ignite Test CDG"
    },
    "audit": {
        "login": {
            "at": "2024-05-09T14:40:28.886Z"
        },
        "created": {
            "at": "2024-05-09T14:40:28.958Z",
            "by": {
                "id": "TKN-7670-9957",
                "href": "/accounts/api-tokens/TKN-7670-9957",
                "name": "[DO NOT REMOVE] PyraProxy"
            }
        },
        "updated": {
            "at": "2024-09-16T12:33:03.761Z",
            "by": {
                "href": "//"
            }
        }
    }
}

Update API token

Updates the specific token object.

Buyer

The Buyer object represents an individual buyer in the SoftwareOne Marketplace. Buyers are the recipients of invoices issued by SoftwareOne, and are essential for placing orders, creating agreements, and ordering subscriptions.

This object contains the following attributes:

Field
Type
Description

id

string, core

(Read-only) The primary identifier for the buyer.

status

string

Represents the buyer status. Allowed values are:

  • Enabled

  • Active

  • Disabled

  • Deleted

name

string, core

Represents the buyer name.

icon

string

(Optional) The relative path to the buyer’s logo.

externalIds

object

(Optional) Represents the externalIds object.

address

object

(Optional) Represents the address object containing the buyer's address.

taxId

string

(Optional) The buyer's tax ID.

account

object

Represents the buyer’s account object.

sellers

object

Represents the seller object.

contact

object

Represents the contact object, which contains details of the contact person.

audit

object

(Read-only) Represents the audit object.

Examples

BUYER OBJECT
{
	"id": "BUY-3911-2313",
	"contact": {
		"name": "Will Smith",
		"firstName": "Will",
		"lastName": "Smith",
		"email": "will.smith@adastraflex.com",
		"phone": null
	},
	"externalIds": {
		"erpCompanyContact": "WW-CON-123456",
		"erpCustomer": "WW-SCU-123456"
    },
	"status": "Active",
	"icon": null,
	"address": {
		"addressLine1": "PO Box 31",
		"addressLine2": "Victory Road",
		"postCode": "DE24 8BJ",
		"city": "Derby",
		"state": "Derbs",
		"country": "UK"
	},
	"taxId": "VAT1",
	"name": "Stark Industries"
}
BUYER OBJECT
{
	"id": "BUY-3911-2313",
	"contact": {
		"name": "Will Smith",
		"firstName": "Will",
		"lastName": "Smith",
		"email": "will.smith@adastraflex.com",
		"phone": null,
		"user": {
			"id": "USR-0000-0001",
			"icon": null,
			"invited": "2024-02-03T11:34:15.381Z",
			"joined": "2024-02-04T12:34:15.381Z",
			"lastLogin": "2024-02-05T13:34:15.381Z",
			"name": "Will Smith"
		}
	},
    "externalIds": {
		"erpCompanyContact": "WW-CON-123456",
		"erpCustomer": "WW-SCU-123456"
    },
	"status": "Active",
	"icon": null,
	"address": {
		"addressLine1": "PO Box 31",
		"addressLine2": "Victory Road",
		"postCode": "DE24 8BJ",
		"city": "Derby",
		"state": "Derbs",
		"country": "UK"
	},
	"taxId": "VAT1",
	"account": {
		"id": "ACC-5563-4382",
		"type": "Client",
		"status": "Active",
		"icon": null,
		"name": "AdAstraflexx"
	},
	"name": "Stark Industries",
	"sellers": [
		{
			"id": "SEL-1299-2079",
			"externalId": "SWO_CH",
			"name": "SoftwareOne AG"
		}
	],
	"audit": {
		"created": {
			"at": "2023-12-14T13:44:20.896Z",
			"by": {
				"id": "USR-0000-0001",
				"icon": null,
				"invited": "2024-02-03T11:34:15.383Z",
				"joined": "2024-02-04T12:34:15.383Z",
				"lastLogin": null,
				"name": "Will Smith"
			}
		},
		"updated": {
			"at": "2024-01-06T19:04:16.692Z",
			"by": {
				"id": "USR-0000-0001",
				"icon": null,
				"invited": "2024-02-03T11:34:15.383Z",
				"joined": "2024-02-04T12:34:15.383Z",
				"lastLogin": null,
				"name": "Will Smith"
			}
		}
	}
}

Seller

The Seller object represents a seller in the Marketplace platform.

This object contains the following attributes:

Field
Type
Description

id

string, core

(Read-only) Primary identifier for the seller.

status

string

The seller's status. Allowed values are:

  • Active

  • Disabled

  • Offline

  • Deleted

name

string, core

The name of the seller.

icon

string

(Optional) The relative path to the seller’s logo.

externalId

string, core

The external identifier.

address

object

The address of the seller.

Example:

currency

string

The currency of the seller.

buyers

object

Represents the buyer object.

audit

object

(Read-only) Represents the audit object.

Examples

SELLER OBJECT
{
  "id": "SEL-7295-4834",
  "externalId": "SWO_CH",
  "status": "Active",
  "icon": null,
  "currency": "USD",
  "address": {
    "addressLine1": "Some street",
    "addressLine2": null,
    "postCode": "P0S C0D3",
    "city": "Some city",
    "state": "SS",
    "country": "CH"
  },
  "name": "SoftwareOne AG"
}
THE SELLER OBJECT
{
	"id": "SEL-7295-4834",
	"externalId": "SWO_CH",
	"status": "Active",
	"icon": null,
	"currency": "USD",
	"address": {
		"addressLine1": "Some street",
		"addressLine2": null,
		"postCode": "P0S C0D3",
		"city": "Some city",
		"state": "SS",
		"country": "CH"
	},
	"name": "SoftwareOne AG",
	"buyers": [
		{
			"id": "BUY-2321-7707",
			"name": "My first buyer"
		}
	],
	"audit": {
		"created": {
			"at": "2023-12-14T14:19:13.410Z",
			"by": {
				"id": "USR-0000-0001",
				"icon": null,
				"invited": "2024-02-03T11:59:55.933Z",
				"joined": "2024-02-04T12:59:55.933Z",
				"lastLogin": null,
				"name": "Will Smith"
			}
		},
		"updated": {
			"at": "2024-01-24T09:33:09.073Z",
			"by": {
				"id": "USR-0000-0001",
				"icon": null,
				"invited": "2024-02-03T11:59:55.933Z",
				"joined": "2024-02-04T12:59:55.933Z",
				"lastLogin": "2024-02-05T13:59:55.933Z",
				"name": "Will Smith"
			}
		}
	}
}
{
  "addressLine1": "123 Main Street",
  "addressLine2": "Apt 4B",
  "postCode": "12345",
  "city": "Cityville",
  "state": "S",
  "country": "ST"
}

State diagram

The Marketplace Platform provides three distinct user interfaces, namely the Client Portal, Vendor Portal, and Operations Portal. This topic describes how the account object transitions through different lifecycle states within the platform.

The diagrams show different transitions depending on whether the account is a Client/Partner or a Vendor, but the underlying statuses are the same.

Client account

The following diagram shows how a client account moves between states like enable, activate, and disable.

The state transition diagram of a client account.

Vendor account

The following diagram shows how a vendor account progresses between states.

The state transition diagram of a vendor account.
State
Definition

Get account

New

This is the default state of a newly created account. This state is not visible on the interface.

Enabled

The account has been created, but it has not been fully set up yet in the system. While the account can be used for transactions, these transactions will not be completed.

Active

The account is fully operational in the Marketplace.

Disabled

The account is not available for transactions, and users cannot sign in or switch to this account.

Deactivate seller

Deactivates a seller. When the seller has been deactivated, the status changes from Active to Offline.

List account users

Get all users assigned to an account.

Get licensee

Gets a single licensee object by ID.

Accounts API

Use the Accounts API to manage accounts, users, and related entities programmatically.

The Accounts API enables you to programmatically access and manage key account-related data within the Marketplace Platform.

It provides secure endpoints that allow you to perform operations such as creating, updating, and retrieving information about accounts, users, user groups, licensees, sellers, and API tokens.

Additionally, the API supports retrieving a list of available modules within the platform and managing ERP system links.

Before you start

Review the shared API docs before you work with account resources.

  • Authentication

The Accounts API is built around the following core resources:

  • Account – Represents a client, vendor, or operations account.

  • Account user – Represents an account user.

  • API token – Represents an authentication token object.

  • Buyer – Represents entities that engage in commercial activities and are the recipients of invoices

The API is organized into collections, each containing a set of operations. Access to these operations varies by role, depending on whether you are a client, vendor, or operations user.

Use the following links to jump to the collection you need:

issued by SoftwareOne.
  • Cloud tenant – Represents a CloudTenant object in the Marketplace.

  • ERP link – Represents the connection between the buyer and seller objects in the Marketplace.

  • Licensee – Represents entities that consume the software products or services procured by the buyer.

  • Module – Represents modules within the platform, for example, Marketplace.

  • Seller – Represents SoftwareOne entities (for example, SoftwareOne Canada) that buy software solutions from vendors and sell those solutions to clients.

  • User – Represents users who sign in to the platform using their credentials and perform operations associated with their permissions.

  • User group – Represents a UserGroup object in the Marketplace.

  • Cloud Tenants

  • Sellers

  • ERP Link

  • Licensees

  • Modules

  • Users

  • User Groups

  • Core resources

    Browse collections

    Accounts

    View Accounts operations
    Operation
    Method
    Description
    Access

    Account Users

    View Account Users operations
    Operation
    Method
    Description
    Access

    API Tokens

    View API Tokens operations
    Operation
    Method
    Description
    Access

    Buyers

    View Buyers operations
    Operation
    Method
    Description
    Access

    Cloud Tenants

    View Cloud Tenants operations
    Operation
    Method
    Description
    Access

    Sellers

    View Sellers operations
    Operation
    Method
    Description
    Access

    ERP Link

    View ERP Link operations
    Operation
    Method
    Description
    Access

    Licensees

    View Licensees operations
    Operation
    Method
    Description
    Access

    Modules

    View Modules operations
    Operation
    Method
    Description
    Access

    Users

    View Users operations
    Operation
    Method
    Description
    Access

    User Groups

    View User Groups operations
    Operation
    Method
    Description
    Access

    URL structure
    Error handling
    Accounts
    Account Users
    API Tokens
    Buyers

    POST

    Creates a new account.

    ops

    PUT

    Updates account details.

    vendor, client, ops

    GET

    Retrieves a single Account by its ID.

    vendor, client, ops

    GET

    Retrieves the full Accounts collection.

    vendor, client, ops

    POST

    Re-enables a previously disabled account.

    ops

    POST

    Disables the account; users cannot log in.

    ops

    POST

    Activates an account that has been enabled.

    ops

    POST

    Validates account data before creation.

    ops

    POST

    Deactivates an active account.

    ops

    GET

    Retrieves the account’s icon.

    public

    POST

    Invites or re‑invites a user to the account.

    vendor, client, ops

    GET

    Lists all users assigned to the account.

    vendor, client, ops

    GET

    Retrieves an account user by ID.

    vendor, client, ops

    DELETE

    Removes a user from the account.

    vendor, client, ops

    POST

    Accepts a user invitation to the account.

    vendor, client, ops

    POST

    Assigns an account user to specific groups.

    vendor, client, ops

    POST

    Resends an invitation to the account.

    vendor, client, ops

    POST

    Sends a new invitation when the previous one expired.

    vendor, client, ops

    PUT

    Updates a user’s group assignment.

    vendor, client, ops

    DELETE

    Removes an account user from specific groups.

    vendor, client, ops

    POST

    Creates an API token for the account.

    vendor, client, ops

    GET

    Retrieves the API tokens collection.

    vendor, client, ops

    GET

    Retrieves an API token by ID.

    vendor, client, ops

    PUT

    Updates an existing API token.

    vendor, client, ops

    DELETE

    Deletes an API token.

    vendor, client, ops

    POST

    Disables an API token.

    vendor, client, ops

    POST

    Enables a previously disabled API token.

    vendor, client, ops

    POST

    Creates a buyer for the client account.

    ops

    GET

    Retrieves the buyers collection.

    client, ops

    GET

    Retrieves a buyer by ID.

    client, ops

    PUT

    Updates a buyer.

    client, ops

    POST

    Disables a buyer.

    client, ops

    POST

    Enables a previously disabled buyer.

    ops

    POST

    Validates buyer data.

    ops

    DELETE

    Deletes a buyer.

    ops

    POST

    Deactivates a buyer.

    ops

    POST

    Synchronizes a buyer with the ERP system.

    ops

    POST

    Transfers a buyer and its dependencies between accounts with same External ID.

    ops

    GET

    Retrieves buyer transfer information, optionally validating destination account.

    public

    GET

    Retrieves the buyer’s icon.

    vendor, client, ops

    POST

    Creates a cloud tenant.

    ops

    GET

    Retrieves the cloud tenants collection.

    ops

    GET

    Retrieves a cloud tenant by ID.

    ops

    PUT

    Updates a cloud tenant.

    ops

    DELETE

    Deletes a cloud tenant.

    ops

    POST

    Creates a seller for the account.

    ops

    GET

    Retrieves the sellers collection.

    client, ops

    GET

    Retrieves a seller by ID.

    client, ops

    PUT

    Updates a seller.

    ops

    POST

    Activates a previously deactivated or disabled seller.

    ops

    POST

    Deactivates a seller.

    ops

    POST

    Disables a seller.

    ops

    DELETE

    Deletes a seller.

    public

    GET

    Retrieves the seller icon.

    ops

    GET

    Retrieves the ERP Links collection.

    client, ops

    GET

    Retrieves an ERP Link by ID.

    client, ops

    PUT

    Updates an ERP Link.

    ops

    POST

    Unblocks an ERP Link.

    ops

    POST

    Blocks an ERP Link.

    ops

    POST

    Creates a licensee linking a Buyer and Seller.

    client, ops

    GET

    Retrieves the licensees collection.

    client, ops

    GET

    Retrieves a licensee by ID.

    client, ops

    PUT

    Updates a licensee.

    client, ops

    POST

    Disables a licensee.

    client, ops

    POST

    Enables a previously disabled licensee.

    client, ops

    DELETE

    Deletes a licensee.

    ops

    GET

    Retrieves the licensee icon.

    public

    GET

    Retrieves the list of modules available in the portal.

    ops

    GET

    Retrieves the platform users collection.

    vendor, client, ops

    GET

    Retrieves a user by ID.

    vendor, client, ops

    GET

    Retrieves SSO configuration for the user.

    vendor, client, ops

    PUT

    Updates a user.

    vendor, client, ops

    POST

    Sets password for non‑SSO users during onboarding.

    vendor, client, ops

    POST

    Blocks a user, preventing login.

    ops

    POST

    Unblocks a previously blocked user.

    ops

    POST

    Creates a user group for the account.

    vendor, client, ops

    GET

    Retrieves the user groups collection.

    vendor, client, ops

    GET

    Retrieves a user group by ID.

    vendor, client, ops

    PUT

    Updates a user group.

    vendor, client, ops

    DELETE

    Deletes a user group.

    vendor, client, ops

    Create account
    Create API token
    Create cloud tenant
    Create seller
    List ERP links
    Create licensee
    List modules
    List users
    Create user group
    Update account
    Get account
    List accounts
    Enable account
    Disable account
    Activate account
    Validate account
    Deactivate account
    Get account icon
    Create account user
    List account users
    Get account user
    Delete account user
    Accept user invitation
    Assign user to groups
    Resend user invitation
    Send new invitation
    Update user group assignment
    Remove user from group
    List API tokens
    Get API token
    Update API token
    Delete API token
    Disable API token
    Enable API token
    Create buyer
    List buyers
    Get buyer
    Update buyer
    Disable buyer
    Enable buyer
    Validate buyer
    Delete buyer
    Deactivate buyer
    Synchronize buyer
    Transfer buyer
    Get buyer transfer details
    Get buyer icon
    List cloud tenants
    Get cloud tenant
    Update cloud tenant
    Delete cloud tenant
    List sellers
    Get seller
    Update seller
    Activate seller
    Deactivate seller
    Disable seller
    Delete seller
    Get seller icon
    Get ERP link
    Update ERP link
    Unblock ERP link
    Block ERP link
    List licensees
    Get licensee
    Update licensee
    Disable licensee
    Enable licensee
    Delete licensee
    Get licensee icon
    Get user
    Get SSO configuration
    Update user
    Set user password
    Block user
    Unblock user
    List user groups
    Get user group
    Update user group
    Delete user group

    Get ERP link

    Deactivate account

    get
    Path parameters
    idstringRequired
    Query parameters
    destinationAccountIdstringOptional
    Responses
    200

    OK

    application/json
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    erpCompanyContactstring · nullableOptional
    erpCustomerstring · nullableOptional
    accountExternalIdstring · nullableOptional
    statusstring · enumOptionalPossible values:
    addressLine1string · nullableOptional
    addressLine2string · nullableOptional
    postCodestring · nullableOptional
    citystring · nullableOptional
    statestring · nullableOptional
    countrystring · nullableOptional
    taxIdstring · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    typestring · enumOptionalPossible values:
    statusstring · enumOptionalPossible values:
    idstring · nullableOptional
    messagestring · nullableOptional
    parametersany · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    externalIdstring · nullableOptional
    licenseeCountinteger · int32Optional
    orderCountinteger · int32Optional
    subscriptionCountinteger · int32Optional
    userCountinteger · int32Optional
    userGroupCountinteger · int32Optional
    agreementCountinteger · int32Optional
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    invitationAcceptedAtstring · date-time · nullableOptional
    atstring · date-time · nullableOptional
    atstring · date-time · nullableOptional
    omittedstring[]Optional
    revisioninteger · int32Optional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    idstringOptional
    namestringOptional
    revisioninteger · int32Optional
    descriptionstring · nullableOptional
    logostring · nullableOptional
    isDefaultbooleanOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    idstringOptional
    namestringOptional
    revisioninteger · int32Optional
    descriptionstringOptional
    group.buyersstring[]Optional
    sharedAccountbooleanOptionalDeprecated
    configurablebooleanOptional
    defaultbooleanOptional
    paidbooleanOptional
    typestring[]Optional
    obsoletebooleanOptional
    multibooleanOptional
    singlebooleanOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    typestring · enumOptionalPossible values:
    statusstring · enumOptionalPossible values:
    urlstring · nullableOptional
    notesstring · nullableOptional
    statusstringOptional
    lastLoginAtstring · date-time · nullableOptional
    400

    Bad Request

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    get/public/v1/accounts/buyers/{id}/transfer
    GET /public/v1/accounts/buyers/{id}/transfer HTTP/1.1
    Host: api.platform.softwareone.com
    Accept: */*
    
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "activated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "unassigned": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "disabled": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "externalIds": {
        "erpCompanyContact": "text",
        "erpCustomer": "text",
        "accountExternalId": "text"
      },
      "status": "Active",
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "taxId": "text",
      "account": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "errors": [
        {
          "id": "text",
          "message": "text",
          "parameters": null
        }
      ],
      "sellers": [
        {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "externalId": "text"
        }
      ],
      "stats": {
        "licenseeCount": 1,
        "orderCount": 1,
        "subscriptionCount": 1,
        "userCount": 1,
        "userGroupCount": 1,
        "agreementCount": 1
      },
      "users": [
        {
          "id": "text",
          "audit": {
            "created": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            },
            "updated": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            },
            "invitationAcceptedAt": "2026-01-01T00:00:00.000Z",
            "access": {
              "at": "2026-01-01T00:00:00.000Z"
            },
            "joined": {
              "at": "2026-01-01T00:00:00.000Z"
            }
          },
          "$meta": {
            "omitted": [
              "text"
            ]
          },
          "revision": 1,
          "user": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          },
          "groups": [
            {
              "id": "text",
              "name": "text",
              "revision": 1,
              "description": "text",
              "logo": "text",
              "isDefault": true
            }
          ],
          "buyers": [
            {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          ],
          "modules": [
            {
              "id": "text",
              "name": "text",
              "revision": 1,
              "description": "text",
              "filters": {
                "group.buyers": [
                  "text"
                ]
              },
              "settings": {
                "configurable": true,
                "default": true,
                "paid": true,
                "type": [
                  "text"
                ],
                "obsolete": true,
                "eligibility": {
                  "multi": true,
                  "single": true
                }
              }
            }
          ],
          "account": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1,
            "type": "Client",
            "status": "Active"
          },
          "invitation": {
            "url": "text",
            "notes": "text",
            "status": "text"
          },
          "lastLoginAt": "2026-01-01T00:00:00.000Z"
        }
      ]
    }
    post
    Path parameters
    idstringRequired
    Responses
    200

    OK

    application/json
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    erpCompanyContactstring · nullableOptional
    erpCustomerstring · nullableOptional
    accountExternalIdstring · nullableOptional
    statusstring · enumOptionalPossible values:
    addressLine1string · nullableOptional
    addressLine2string · nullableOptional
    postCodestring · nullableOptional
    citystring · nullableOptional
    statestring · nullableOptional
    countrystring · nullableOptional
    taxIdstring · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    typestring · enumOptionalPossible values:
    statusstring · enumOptionalPossible values:
    idstring · nullableOptional
    messagestring · nullableOptional
    parametersany · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    externalIdstring · nullableOptional
    400

    Bad Request

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    404

    Not Found

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    409

    Conflict

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    post/public/v1/accounts/buyers/{id}/synchronize
    POST /public/v1/accounts/buyers/{id}/synchronize HTTP/1.1
    Host: api.platform.softwareone.com
    Accept: */*
    
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "activated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "unassigned": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "disabled": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "externalIds": {
        "erpCompanyContact": "text",
        "erpCustomer": "text",
        "accountExternalId": "text"
      },
      "status": "Active",
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "taxId": "text",
      "account": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "errors": [
        {
          "id": "text",
          "message": "text",
          "parameters": null
        }
      ],
      "sellers": [
        {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "externalId": "text"
        }
      ]
    }
    post
    Path parameters
    idstringRequired
    Responses
    200

    OK

    application/json
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    erpCompanyContactstring · nullableOptional
    erpCustomerstring · nullableOptional
    accountExternalIdstring · nullableOptional
    statusstring · enumOptionalPossible values:
    addressLine1string · nullableOptional
    addressLine2string · nullableOptional
    postCodestring · nullableOptional
    citystring · nullableOptional
    statestring · nullableOptional
    countrystring · nullableOptional
    taxIdstring · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    typestring · enumOptionalPossible values:
    statusstring · enumOptionalPossible values:
    idstring · nullableOptional
    messagestring · nullableOptional
    parametersany · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    externalIdstring · nullableOptional
    400

    Bad Request

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    404

    Not Found

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    post/public/v1/accounts/buyers/{id}/deactivate
    POST /public/v1/accounts/buyers/{id}/deactivate HTTP/1.1
    Host: api.platform.softwareone.com
    Accept: */*
    
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "activated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "unassigned": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "disabled": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "externalIds": {
        "erpCompanyContact": "text",
        "erpCustomer": "text",
        "accountExternalId": "text"
      },
      "status": "Active",
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "taxId": "text",
      "account": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "errors": [
        {
          "id": "text",
          "message": "text",
          "parameters": null
        }
      ],
      "sellers": [
        {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "externalId": "text"
        }
      ]
    }
    post
    Path parameters
    idstringRequired
    Body
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    erpCompanyContactstring · nullableOptional
    erpCustomerstring · nullableOptional
    accountExternalIdstring · nullableOptional
    statusstring · enumOptionalPossible values:
    addressLine1string · nullableOptional
    addressLine2string · nullableOptional
    postCodestring · nullableOptional
    citystring · nullableOptional
    statestring · nullableOptional
    countrystring · nullableOptional
    taxIdstring · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    typestring · enumOptionalPossible values:
    statusstring · enumOptionalPossible values:
    idstring · nullableOptional
    messagestring · nullableOptional
    parametersany · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    externalIdstring · nullableOptional
    Responses
    200

    OK

    application/json
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    erpCompanyContactstring · nullableOptional
    erpCustomerstring · nullableOptional
    accountExternalIdstring · nullableOptional
    statusstring · enumOptionalPossible values:
    addressLine1string · nullableOptional
    addressLine2string · nullableOptional
    postCodestring · nullableOptional
    citystring · nullableOptional
    statestring · nullableOptional
    countrystring · nullableOptional
    taxIdstring · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    typestring · enumOptionalPossible values:
    statusstring · enumOptionalPossible values:
    idstring · nullableOptional
    messagestring · nullableOptional
    parametersany · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    externalIdstring · nullableOptional
    400

    Bad Request

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    404

    Not Found

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    post/public/v1/accounts/buyers/{id}/transfer
    POST /public/v1/accounts/buyers/{id}/transfer HTTP/1.1
    Host: api.platform.softwareone.com
    Content-Type: application/json
    Accept: */*
    Content-Length: 1109
    
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "activated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "unassigned": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "disabled": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "externalIds": {
        "erpCompanyContact": "text",
        "erpCustomer": "text",
        "accountExternalId": "text"
      },
      "status": "Active",
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "taxId": "text",
      "account": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "errors": [
        {
          "id": "text",
          "message": "text",
          "parameters": null
        }
      ],
      "sellers": [
        {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "externalId": "text"
        }
      ]
    }
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "activated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "unassigned": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "disabled": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "externalIds": {
        "erpCompanyContact": "text",
        "erpCustomer": "text",
        "accountExternalId": "text"
      },
      "status": "Active",
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "taxId": "text",
      "account": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "errors": [
        {
          "id": "text",
          "message": "text",
          "parameters": null
        }
      ],
      "sellers": [
        {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "externalId": "text"
        }
      ]
    }

    Enable API token

    post

    Enable API token. Changes API token state to Active (e.g. from Disabled). Available for all account types (Operations account, Client account, Vendor account). Returns the updated API token object.

    Path parameters
    idstringRequired

    API token identifier.

    Responses
    200

    OK

    application/json
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    statusstringOptional
    descriptionstring · nullableOptional
    lastAccessAtstring · date-time · nullableOptional
    tokenstringOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    typestring · enumOptionalPossible values:
    statusstring · enumOptionalPossible values:
    idstringOptional
    namestringOptional
    revisioninteger · int32Optional
    descriptionstringOptional
    group.buyersstring[]Optional
    sharedAccountbooleanOptionalDeprecated
    configurablebooleanOptional
    defaultbooleanOptional
    paidbooleanOptional
    typestring[]Optional
    obsoletebooleanOptional
    multibooleanOptional
    singlebooleanOptional
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    statusstring · enumOptionalPossible values:
    400

    Bad Request

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    404

    Not Found

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    post/public/v1/accounts/api-tokens/{id}/enable
    POST /public/v1/accounts/api-tokens/{id}/enable HTTP/1.1
    Host: api.platform.softwareone.com
    Accept: */*
    
    {
      "id": "TKN-4134-7330",
      "revision": 2,
      "name": "Robot",
      "description": "Token for ERP integration",
      "status": "Active",
      "account": {
        "id": "ACC-1234-5678",
        "name": "Microsoft"
      },
      "modules": [
        {
          "id": "MOD-1756-1452"
        }
      ],
      "audit": {
        "created": {
          "at": "2024-02-01T09:12:23+00:00",
          "by": {
            "id": "USR-0001",
            "name": "Ops User"
          }
        },
        "updated": {
          "at": "2024-02-02T10:00:00+00:00",
          "by": {
            "id": "USR-0001",
            "name": "Ops User"
          }
        },
        "enabled": {
          "at": "2024-02-02T10:00:00+00:00",
          "by": {
            "id": "USR-0001",
            "name": "Ops User"
          }
        }
      }
    }

    Disable API token

    post

    Disable API token. Changes API token state to Disabled. Available for all account types (Operations account, Client account, Vendor account). Returns the updated API token object.

    Path parameters
    idstringRequired

    API token identifier.

    Responses
    200

    OK

    application/json
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    statusstringOptional
    descriptionstring · nullableOptional
    lastAccessAtstring · date-time · nullableOptional
    tokenstringOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    typestring · enumOptionalPossible values:
    statusstring · enumOptionalPossible values:
    idstringOptional
    namestringOptional
    revisioninteger · int32Optional
    descriptionstringOptional
    group.buyersstring[]Optional
    sharedAccountbooleanOptionalDeprecated
    configurablebooleanOptional
    defaultbooleanOptional
    paidbooleanOptional
    typestring[]Optional
    obsoletebooleanOptional
    multibooleanOptional
    singlebooleanOptional
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    statusstring · enumOptionalPossible values:
    400

    Bad Request

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    404

    Not Found

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    post/public/v1/accounts/api-tokens/{id}/disable
    POST /public/v1/accounts/api-tokens/{id}/disable HTTP/1.1
    Host: api.platform.softwareone.com
    Accept: */*
    
    {
      "id": "TKN-4134-7330",
      "revision": 2,
      "name": "Robot",
      "description": "Token for ERP integration",
      "status": "Disabled",
      "account": {
        "id": "ACC-1234-5678",
        "name": "Microsoft"
      },
      "modules": [
        {
          "id": "MOD-1756-1452"
        }
      ],
      "audit": {
        "created": {
          "at": "2024-02-01T09:12:23+00:00",
          "by": {
            "id": "USR-0001",
            "name": "Ops User"
          }
        },
        "updated": {
          "at": "2024-02-02T10:05:00+00:00",
          "by": {
            "id": "USR-0001",
            "name": "Ops User"
          }
        },
        "disabled": {
          "at": "2024-02-02T10:05:00+00:00",
          "by": {
            "id": "USR-0001",
            "name": "Ops User"
          }
        }
      }
    }

    Delete seller

    delete

    Delete seller. Available for Operations account with platform account management permissions. Removes the seller record. Returns 204 No Content on success.

    Path parameters
    idstringRequired

    Seller identifier.

    Responses
    204

    No Content

    No content

    400

    Bad Request

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    404

    Not Found

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    delete/public/v1/accounts/sellers/{id}
    DELETE /public/v1/accounts/sellers/{id} HTTP/1.1
    Host: api.platform.softwareone.com
    Accept: */*
    

    No content

    Update user group

    put

    Update user group. Accepts a delta payload with fields to update (e.g. name, description, logo, modules, buyers). Returns the updated user group object.

    Path parameters
    idstringRequired

    User group identifier.

    Body
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    revisioninteger · int32Optional
    descriptionstring · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    typestring · enumOptionalPossible values:
    statusstring · enumOptionalPossible values:
    idstringOptional
    namestringOptional
    revisioninteger · int32Optional
    descriptionstringOptional
    group.buyersstring[]Optional
    sharedAccountbooleanOptionalDeprecated
    configurablebooleanOptional
    defaultbooleanOptional
    paidbooleanOptional
    typestring[]Optional
    obsoletebooleanOptional
    multibooleanOptional
    singlebooleanOptional
    logostring · nullableOptional
    isDefaultbooleanOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    statusstring · enumOptionalPossible values:
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    Responses
    200

    OK

    application/json
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    revisioninteger · int32Optional
    descriptionstring · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    typestring · enumOptionalPossible values:
    statusstring · enumOptionalPossible values:
    idstringOptional
    namestringOptional
    revisioninteger · int32Optional
    descriptionstringOptional
    group.buyersstring[]Optional
    sharedAccountbooleanOptionalDeprecated
    configurablebooleanOptional
    defaultbooleanOptional
    paidbooleanOptional
    typestring[]Optional
    obsoletebooleanOptional
    multibooleanOptional
    singlebooleanOptional
    logostring · nullableOptional
    isDefaultbooleanOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    statusstring · enumOptionalPossible values:
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    400

    Bad Request

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    404

    Not Found

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    put/public/v1/accounts/user-groups/{id}
    PUT /public/v1/accounts/user-groups/{id} HTTP/1.1
    Host: api.platform.softwareone.com
    Content-Type: application/json
    Accept: */*
    Content-Length: 101
    
    {
      "name": "Rolls-Royce Updated",
      "description": "Updated description",
      "modules": [
        {
          "id": "MOD-1756-1452"
        }
      ]
    }
    {
      "id": "UGR-5116-6265",
      "revision": 2,
      "name": "Rolls-Royce Updated",
      "description": "Updated description",
      "isDefault": false,
      "account": {
        "id": "ACC-1234-5678",
        "name": "Microsoft"
      },
      "modules": [
        {
          "id": "MOD-1756-1452"
        }
      ],
      "audit": {
        "created": {
          "at": "2024-02-01T09:12:23+00:00",
          "by": {
            "id": "USR-0001",
            "name": "Ops User"
          }
        },
        "updated": {
          "at": "2024-02-02T10:00:00+00:00",
          "by": {
            "id": "USR-0001",
            "name": "Ops User"
          }
        }
      }
    }
    get
    Path parameters
    idstringRequired
    Responses
    307

    Temporary Redirect

    No content

    404

    Not Found

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    get/public/v1/accounts/buyers/{id}/icon
    GET /public/v1/accounts/buyers/{id}/icon HTTP/1.1
    Host: api.platform.softwareone.com
    Accept: */*
    

    No content

    post
    Path parameters
    idstringRequired
    Responses
    200

    OK

    application/json
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    erpCompanyContactstring · nullableOptional
    erpCustomerstring · nullableOptional
    accountExternalIdstring · nullableOptional
    statusstring · enumOptionalPossible values:
    addressLine1string · nullableOptional
    addressLine2string · nullableOptional
    postCodestring · nullableOptional
    citystring · nullableOptional
    statestring · nullableOptional
    countrystring · nullableOptional
    taxIdstring · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    typestring · enumOptionalPossible values:
    statusstring · enumOptionalPossible values:
    idstring · nullableOptional
    messagestring · nullableOptional
    parametersany · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    externalIdstring · nullableOptional
    400

    Bad Request

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    404

    Not Found

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    post/public/v1/accounts/buyers/{id}/disable
    POST /public/v1/accounts/buyers/{id}/disable HTTP/1.1
    Host: api.platform.softwareone.com
    Accept: */*
    
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "activated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "unassigned": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "disabled": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "icon": "text",
      "revision": 1,
      "externalIds": {
        "erpCompanyContact": "text",
        "erpCustomer": "text",
        "accountExternalId": "text"
      },
      "status": "Active",
      "address": {
        "addressLine1": "text",
        "addressLine2": "text",
        "postCode": "text",
        "city": "text",
        "state": "text",
        "country": "text"
      },
      "taxId": "text",
      "account": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      },
      "errors": [
        {
          "id": "text",
          "message": "text",
          "parameters": null
        }
      ],
      "sellers": [
        {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "externalId": "text"
        }
      ]
    }

    Disable account

    post

    Disable an active account. Access: Authenticated account with platform account management permissions. Moves the account to the Disabled state. Returns the updated account object.

    Path parameters
    idstringRequired

    Account identifier.

    Responses
    200

    OK

    application/json
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    typestring · enumOptionalPossible values:
    statusstring · enumOptionalPossible values:
    pyraTenantIdstring · uuid · nullableOptional
    externalIdstring · nullableOptional
    externalNamestring · nullableOptional
    addressLine1string · nullableOptional
    addressLine2string · nullableOptional
    postCodestring · nullableOptional
    citystring · nullableOptional
    statestring · nullableOptional
    countrystring · nullableOptional
    technicalSupportEmailstring · nullableOptional
    websitestring · nullableOptional
    descriptionstring · nullableOptional
    idstringOptional
    namestringOptional
    revisioninteger · int32Optional
    descriptionstring · nullableOptional
    logostring · nullableOptional
    isDefaultbooleanOptional
    clientbooleanOptional
    partnerbooleanOptional
    defaultLanguageCodestring · nullableOptional
    400

    Bad Request

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    404

    Not Found

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    post/public/v1/accounts/accounts/{id}/disable
    POST /public/v1/accounts/accounts/{id}/disable HTTP/1.1
    Host: api.platform.softwareone.com
    Accept: */*
    
    {
      "id": "ACC-1234-1234",
      "revision": 2,
      "name": "Contoso Ltd",
      "status": "Disabled",
      "type": "Vendor",
      "audit": {
        "created": {
          "at": "2024-02-01T09:12:23+00:00",
          "by": {
            "id": "USR-0001",
            "name": "Ops User"
          }
        },
        "updated": {
          "at": "2024-02-02T10:05:00+00:00",
          "by": {
            "id": "USR-0001",
            "name": "Ops User"
          }
        },
        "disabled": {
          "at": "2024-02-02T10:05:00+00:00",
          "by": {
            "id": "USR-0001",
            "name": "Ops User"
          }
        }
      }
    }

    List licensees

    get

    List licensees. Available for Client and Operations accounts. Returns a paged list of licensees; supports RQL query parameters for filtering and selection.

    Responses
    200

    OK

    application/json
    offsetinteger · int32Optional
    limitinteger · int32Optional
    totalinteger · int32 · nullableOptional
    omittedstring[]Optional
    idstringOptional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    atstring · date-time · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    omittedstring[]Optional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    externalIdstring · nullableOptional
    statusstring · enumOptionalPossible values:
    addressLine1string · nullableOptional
    addressLine2string · nullableOptional
    postCodestring · nullableOptional
    citystring · nullableOptional
    statestring · nullableOptional
    countrystring · nullableOptional
    useBuyerAddressboolean · nullableOptional
    descriptionstring · nullableOptional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    typestring · enumOptionalPossible values:
    statusstring · enumOptionalPossible values:
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    idstringOptional
    namestringOptional
    iconstring · nullableOptional
    revisioninteger · int32Optional
    externalIdstring · nullableOptional
    clientbooleanOptional
    partnerbooleanOptional
    get/public/v1/accounts/licensees
    GET /public/v1/accounts/licensees HTTP/1.1
    Host: api.platform.softwareone.com
    Accept: */*
    
    200

    OK

    {
      "data": [
        {
          "id": "LCE-8893-6916-0000",
          "revision": 2,
          "name": "Rolls-Royce Canada Limited",
          "status": "Active",
          "buyer": {
            "id": "BUY-8928-0965",
            "name": "Rolls-Royce Canada Limited"
          },
          "seller": {
            "id": "SEL-4717-3953",
            "name": "SoftwareOne Canada, Inc."
          }
        }
      ],
      "$meta": {
        "pagination": {
          "offset": 0,
          "limit": 10,
          "total": 1
        }
      }
    }
    delete
    Path parameters
    idstringRequired
    Responses
    204

    No Content

    No content

    400

    Bad Request

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    404

    Not Found

    application/json
    typestring · nullableOptional
    titlestring · nullableOptional
    statusinteger · int32 · nullableOptional
    detailstring · nullableOptional
    instancestring · nullableOptional
    Other propertiesanyOptional
    delete/public/v1/accounts/buyers/{id}
    DELETE /public/v1/accounts/buyers/{id} HTTP/1.1
    Host: api.platform.softwareone.com
    Accept: */*
    

    No content

    Delete API token

    delete

[...]
